@import './vars';
@import './assets/fonts/iconfont.css';

:root {
  --bright-turquoise: #20f2ec;
  --dodger-blue: #45b8ff;
  --violet: #9329d7; //#9e3edb;
  --green-apple: #7de213;
  --strawberry: #ff1d25;
  --black: #0e273b;
  --pale-blue: #dfe8e8;
  --light-gray-blue: #adb6bc;
  --white: #fff;
  --gray: #b7bec4;
  --dark-gray-blue: #263d4f;
  --light-gray: #e6e6e6;
  --ldn-21: #ff575d;
}

@font-face {
  font-family: WorkSans;
  src: local(WorkSans-Light), url('./assets/fonts/WorkSans-Light.woff2') format('woff2'),
    url('./assets/fonts/WorkSans-Light.woff') format('woff'),
    url('./assets/fonts/WorkSans-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
  font-stretch: normal;
}
@font-face {
  font-family: WorkSans;
  src: local(WorkSans-Regular), url('./assets/fonts/WorkSans-Regular.woff2') format('woff2'),
    url('./assets/fonts/WorkSans-Regular.woff') format('woff'),
    url('./assets/fonts/WorkSans-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
}
@font-face {
  font-family: WorkSans;
  src: local(WorkSans-Medium), url('./assets/fonts/WorkSans-Medium.woff2') format('woff2'),
    url('./assets/fonts/WorkSans-Medium.woff') format('woff'),
    url('./assets/fonts/WorkSans-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
}
@font-face {
  font-family: WorkSans;
  src: local(WorkSans-SemiBold), url('./assets/fonts/WorkSans-SemiBold.woff2') format('woff2'),
    url('./assets/fonts/WorkSans-SemiBold.woff') format('woff'),
    url('./assets/fonts/WorkSans-SemiBold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
}

html,
body,
#__next {
  height: 100%;
  background: var(--black);
  color: var(--pale-blue);
  font-family: $body-font;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  padding: auto;
  margin: 0;
}

#__next {
  display: flex;
  flex-direction: column;
}

code {
  white-space: break-spaces;
}

.main {
  flex-grow: 1;
}

* {
  outline: none !important;
}

h1,
h2,
h3,
h4 {
  color: var(--pale-blue);
  font-weight: $font-weight-bold;
}

b {
  font-weight: $font-weight-bold;
}

p {
  font-size: 18px;
}

@media (max-width: 768px) {
  p {
    font-size: 16px;
  }
}

#__next {
  overflow-y: auto;
}

a,
.a {
  color: var(--link-color);

  &:hover {
    color: var(--link-color) !important;
    cursor: pointer;
    text-decoration: none !important;
  }
}

::placeholder {
  color: var(--light-gray-blue);
}

.input {
  outline: none;
  color: var(--light-gray-blue);
  background-color: transparent;
  border: none;
}

textarea {
  padding-top: 16px;
  font-size: 20px;
  line-height: 1.4em;
}

::-webkit-scrollbar-thumb {
  background-color: var(--border-color);
  background-clip: padding-box;
  border: 0;
  border-radius: 0;

  &:hover {
    background-color: var(--border-color);
  }
}

.eyebrow {
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 16px;
}

.column {
  width: 160px;
}

.anim-fade-in {
  animation-duration: 0.6s !important;
}

.line-height-0 {
  line-height: 0;
}

.notification {
  color: white !important;
}

.border,
.border-md,
.border-lg,
.border-bottom,
.border-top {
  border-style: 1px solid #566876 !important;
}

.text-primary {
  color: var(--primary-color) !important;
}

.text-gray {
  color: var(--pale-blue) !important;
}

.block-bg {
  background-color: var(--block-bg) !important;
}

.bg-blue {
  background-color: var(--primary-color) !important;
}

.bg-turq {
  background-color: var(--bright-turquoise);
}

.text-turq {
  color: var(--bright-turquoise);
}

.bg-strawberry {
  background-color: var(--strawberry) !important;
}

.text-strawberry {
  color: var(--strawberry);
}

.bg-green {
  background-color: var(--green-apple);
}

.bg-violet {
  background-color: var(--violet);
}

.bg-progress-left {
  background-color: #9e3edb;
}

.bg-progress-influence-odd {
  background-color: rgba(147, 41, 215, 0.12);
}

.bg-progress-influence-even {
  background-color: rgba(147, 41, 215, 0.06);
}

.tab {
  display: inline-block;
  &:first-letter {
    text-transform: capitalize;
  }
}

.tooltipped {
  &::before {
    border-top-color: var(--text-color) !important;
    margin-bottom: 14px;
    top: -14px !important;
  }

  &::after {
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 320px;
    margin-bottom: 14px;
    border-radius: 20px;
    padding: 6px 16px 2px;
    font-size: 16px;
    background-color: var(--dark-gray-blue);
    color: var(--white);
  }
}

.markdown-body blockquote {
  color: var(--text-color);
  border-left-color: var(--text-color);
}

button {
  &.tab {
    border: none;
    background: none;
    padding: 0;

    &:hover {
      color: var(--link-color) !important;
      cursor: pointer;
      text-decoration: none !important;
    }
  }
}

.color-white {
  color: #ffffff;
}

.text-center {
  text-align: center;
}

.circle {
  border-radius: 50%;
}

.logoLoader {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 180px;
}
